#!/bin/bash

set -e

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

# Load default shell scripts
. $SCRIPT_DIR/../sh/load.sh

update_default_shell() {
	/usr/sbin/usermod -sf /usr/bin/zsh $1
}

install_shell_config() {
	/usr/bin/ln -s /etc/toolkit/sh/.zshrc $1
}

install_package zsh

update_default_shell root
update_default_shell coby

install_shell_config /root/.zshrc
install_shell_config /home/coby/.zshrc

# Replace old ssh server config
rm /etc/ssh/sshd_config
ln -sf /etc/toolkit/sshd/sshd_config /etc/ssh/.

# Pull submodules
. $SCRIPT_DIR/update.sh
