ALIASES=${TOOLKIT}/sh/custom-scripts/aliases.sh
VARS=${TOOLKIT}/sh/custom-scripts/vars.sh

alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep='egrep --color=auto'

alias ls='ls --color=auto --group-directories-first -N'
alias ll='ls -l'
alias la='ls -A'
alias lf='ls -F'
alias l.='ls -d .*'
alias lh='ls -lh'
alias lr='ls -R'
alias l='ls'

alias md='mkdir -p' 
alias rd='rm -rf'

alias q='exit'

alias c='clear'

alias journal='journalctl -xe'
alias journal-err='journalctl -p 3 -b'

alias fstab='sudo vim /etc/fstab'

alias rcron='sudo crontab -e'
alias cron='crontab -e'

alias upd-arch='paru -S archlinux-keyring && paru'
alias upd-ubt='sudo apt update -y && sudo apt upgrade -y'

if [[ "$OS" == "Arch Linux" ]]; then
    alias upd='upd-arch'
elif [[ $OS == "Ubuntu" ]]; then
    alias upd='upd-ubt'
else
    alias upd='echo Failed to detect distribution. The script needs to be able to determine the distribution to know which package manager to use'
fi

alias reload='source ~/.zshrc'

alias aliases='cat $ALIASES'
alias vars='cat $VARS'

alias ealiases='_ vim $ALIASES'
alias evars='_ vim $VARS'

here() {
    grep -r "$@" .
}
